dnl
dnl  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
dnl
dnl  Copyright (c) 1999-2000  University of Colorado
dnl
dnl  This program is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  This program is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
dnl  USA, or send email to serl@cs.colorado.edu.
dnl 
dnl
dnl $Id: aclocal.m4,v 1.1 2001/01/17 18:29:11 carzanig Exp $
dnl

dnl  
dnl  AC_ANTO_MKPATH([ACTION-IF-NOT-FOUND][, ACTION-IF-NOT-FOUND])
dnl
dnl  check for a way to create an entire directory path 
dnl  tries `mkdir -p' and `$srcdir/mkinstalldirs'
dnl 
AC_DEFUN(AC_ANTO_MKPATH, [
  AC_CACHE_CHECK([how to create a directory path], ac_cv_anto_mkpath, [
    anto_td=_test_anto
    # paranoia...
    while test -r $anto_td; do anto_td="$anto_td."; done
    ac_cv_anto_mkpath=no
    if mkdir -p $anto_td/1/2 > /dev/null 2>&1 && test -d $anto_td/1/2; then
      /bin/rm -rf $anto_td
      ac_cv_anto_mkpath="mkdir -p"
    elif $srcdir/mkinstalldirs $anto_td/1/2 > /dev/null 2>&1 && test -d $anto_td/1/2; then
      ac_cv_anto_mkpath=\$\(srcdir\)/mkinstalldirs
    else
      ac_cv_anto_mkpath=no
    fi])
  if test "$ac_cv_anto_mkpath" = no; then
    MKPATH=""
    : 
    $1
  else
    MKPATH="$ac_cv_anto_mkpath"
    AC_SUBST(MKPATH)
    :
    $2
  fi])

AC_DEFUN(AC_ANTO_JAVAC, [
  AC_PATH_PROGS(JAVAC, javac)
  test -z "$JAVAC" && AC_MSG_ERROR([
No acceptable Java compiler found in \$PATH
You may specify a Java compiler by setting the env variable JAVAC
or you might use --with-javabin to specify the java binary directory
])
  AC_CACHE_CHECK([whether $JAVAC works], ac_cv_anto_javac_works, [
    anto_java_test=T
    # paranoia
    while test -r $anto_java_test.java || test -r $anto_java_test.class; do
      $anto_java_test=${anto_java_test}T
    done
    cat > $anto_java_test.java << EOF
import java.util.TreeMap;
public class $anto_java_test {
    public TreeMap x = new TreeMap();
}
EOF
    CLASSPATH=.
    export CLASSPATH
    if AC_TRY_COMMAND($JAVAC $anto_java_test.java) >/dev/null 2>&1; then 
       ac_cv_anto_javac_works=yes
    else 
       ac_cv_anto_javac_works=no
    fi
    rm -f $anto_java_test.java $anto_java_test.class
  ])
  test $ac_cv_anto_javac_works = no && AC_MSG_ERROR([The Java compiler $JAVAC failed (see config.log)])
])

