//
//  This file is part of SXML, a tool to automate the publication of
//  XML data through the Siena wide-area event notification system.
//
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Copyright (C) 2000-2001 University of Colorado
//
//  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
// $Id: TestXMLPublisher.java,v 1.2 2001/01/24 17:33:42 carzanig Exp $
//
package sxmltest;

import siena.*;
import siena.sxml.*;

public class TestXMLPublisher {
    public static void main(String args[]) {
	if (args.length < 2) {
	    System.err.println("Usage: TestImport <siena-server> <map> [event..]");
	    System.exit(1);
	}
	try {
	    Siena siena = new ThinClient(args[0]);
	    EventMap m = new EventMap();
	    m.importRules(args[1]);
	    m.attachXml();
	    if (args.length == 2) {
		siena.publish(m.makeNotification(System.in));
	    } else {
		for(int i = 2; i < args.length; ++i) 
		    siena.publish(m.makeNotification(args[i]));
	    }
	} catch (Exception ex) {
	    ex.printStackTrace();
	    System.exit(1);
	}
	System.exit(0);
    }
};
